#
# spec file for package openstack-horizon-plugin-designate-ui
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define version_unconverted 7.1.0.dev35

Name:           openstack-horizon-plugin-designate-ui
Version:        7.1.0~dev35
Release:        1.1
Summary:        Designate UI plugin for Horizon
License:        Apache-2.0
Group:          System/Management
Url:            https://bugs.launchpad.net/designate
Source:         http://tarballs.openstack.org/designate-dashboard/designate-dashboard-master.tar.gz
BuildRequires:  fdupes
BuildRequires:  openstack-dashboard
BuildRequires:  openstack-suse-macros
BuildRequires:  openstack-suse-sudo
BuildRequires:  python-base
BuildRequires:  python-designateclient
BuildRequires:  python-pbr
Requires:       openstack-dashboard
Requires:       python-horizon-plugin-designate-ui = %{version}
Requires(post): python-horizon-plugin-designate-ui = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
OpenStack DNS As A Service (Designate) Horizon Plugin

%package -n python-horizon-plugin-designate-ui
Summary:        OpenStack DNS As A Service (Designate) Horizon Plugin - Python module
Group:          Development/Languages/Python
Requires:       python >= 2.7
Requires:       python-Babel >= 2.3.4
Requires:       python-designateclient >= 2.7.0
Requires:       python-oslo.log >= 3.36.0

%description -n python-horizon-plugin-designate-ui
OpenStack DNS As A Service (Designate) Horizon Plugin

This package contains the core Python module of the designate dashboard.

%package test
Summary:        Designate Plugin for Horizon - Testsuite
Group:          Development/Languages/Python
Requires:       %{name} = %{version}
Requires:       python-django-nose >= 1.4.4
Requires:       python-django_compressor >= 2.0
Requires:       python-horizon >= 14.0.0.0~xbeta3
Requires:       python-mock >= 2.0.0
Requires:       python-mox3 >= 0.20.0
Requires:       python-nose >= 1.3.7
Requires:       python-oslo.config >= 5.2.0
Requires:       python-testrepository >= 0.0.18
Requires:       python-testtools >= 2.2.0

%description test
Designate Dashboard Plugin for Horizon testsuite. It is used to verify the
functionality of the Designate Dashboard Plugin.

%prep
%setup -q -n designate-dashboard-%{version_unconverted}
%openstack_cleanup_prep

%build
python setup.py build

%install
python setup.py install --skip-build --prefix=%{_prefix} --root=%{buildroot}

mkdir -p %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/dashboards/
install -m 0755 -d %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/dashboards/enabled
for i in designatedashboard/enabled/_17*; do
    install -m 644 -p $i %{buildroot}/srv/www/openstack-dashboard/openstack_dashboard/enabled/
done

### misc
%fdupes %{buildroot}%{python_sitelib}/designatedashboard

%post
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%postun
su wwwrun -s /bin/sh -c "python /srv/www/openstack-dashboard/manage.py collectstatic --noinput --clear > /dev/null"

%files
%defattr(-,root,root)
%doc ChangeLog README.rst
%license LICENSE
/srv/www/openstack-dashboard/openstack_dashboard/enabled

%files -n python-horizon-plugin-designate-ui
%defattr(-,root,root,-)
%license LICENSE
%{python_sitelib}/designatedashboard/
%{python_sitelib}/designate_dashboard-*.egg-info
%exclude %{python_sitelib}/designatedashboard/test*

%files test
%defattr(-,root,root)
%license LICENSE
%{python_sitelib}/designatedashboard/test*

%changelog
* Fri Mar 22 2019 cloud-devel@suse.de
- Update to version designate-dashboard-7.1.0.dev35:
  * Add nodejs10 jobs on bionic
  * Switch to horizon-nodejs4-jobs-nonvoting template
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Update hacking version to latest
  * add python 3.7 unit test job
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Set lower-requirements to use stable horizon
  * Imported Translations from Zanata
  * Change openstack-dev to openstack-discuss
  * update wiki http links to https
* Tue Oct 30 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.1.0.dev18:
  * Enable py36 testing
* Fri Oct 19 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.1.0.dev17:
  * Allow creation of NS records in zones
* Tue Oct 16 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.1.0.dev15:
  * Increment versioning with pbr instruction
* Sat Sep 29 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.1.dev14:
  * Use templates for lower-constraints, cover
  * Fix coverage
* Mon Sep 24 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.1.dev10:
  * Imported Translations from Zanata
* Sat Sep 22 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.1.dev9:
  * Imported Translations from Zanata
  7.0.0
* Tue Sep  4 2018 dmueller@suse.com
- remove mox dependency
* Wed Aug 29 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0rc2.dev8:
  * switch documentation job to new PTI
* Fri Aug 24 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0rc2.dev6:
  * import zuul job settings from project-config
* Wed Aug 22 2018 nicolas.bock@suse.com
- Fix linter warning about license
* Mon Aug 20 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0rc2.dev4:
  * Drop nose dependencies
  * Imported Translations from Zanata
  * Update reno for stable/rocky
  7.0.0.0rc1
  * Imported Translations from Zanata
  * Replaces ng-views with the horizon streamlined version
  * Updates to new Horizon action API
  7.0.0.0b3
  * Add test 'node\_modules' in tox.ini for flake8 exclude
* Wed Jul 25 2018 dmueller@suse.com
- install all designate panels that are available
* Mon Jul 23 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b3.dev10:
  * Drop mox - no longer needed
  * fix tox python3 overrides
* Thu Jul 19 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b3.dev6:
  * Imported Translations from Zanata
* Sat Jul 14 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b3.dev5:
  * Imported Translations from Zanata
  * Drop python-cinderclient usage
* Thu Jun 14 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b3.dev2:
  * Add python3 django 1.11 job instead of django 2.0 job
* Tue Jun 12 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b3.dev1:
  * Cleanup unnecessary entries in test-requirements.txt
  7.0.0.0b2
  * Drop mox3 from test-requirements.txt
* Sun Jun  3 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b2.dev8:
  * Require the (soon-to-be) Rocky version of Horizon
* Tue May 22 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b2.dev6:
  * Django 2.0 support
* Fri May 11 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b2.dev4:
  * Remove "-y" option for package install command
* Fri Apr 27 2018 cloud-devel@suse.de
- Update to version designate-dashboard-7.0.0.0b2.dev3:
  * Fix horizon install for tox
  * Use Horizon UT framework
  7.0.0.0b1
* Fri Apr 20 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev28:
  * Fix lower-constraints.txt
* Tue Mar 27 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev27:
  * Sender Policy Framework record is SPF in short
  * Updated from global requirements
  * add lower-constraints job
* Sat Mar 17 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev22:
  * Install horizon directly from pypi
  * Updated from global requirements
  * Imported Translations from Zanata
* Thu Mar 15 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev17:
  * Updated from global requirements
* Wed Mar 14 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev16:
  * Updated from global requirements
* Mon Mar 12 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev15:
  * Imported Translations from Zanata
* Sun Mar 11 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev14:
  * Updated from global requirements
* Fri Mar  9 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev13:
  * Optimize the link address
* Thu Mar  8 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev12:
  * Imported Translations from Zanata
* Mon Mar  5 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev11:
  * Imported Translations from Zanata
* Tue Feb 27 2018 tbechtold@suse.com
- Update to version designate-dashboard-6.0.0.0rc2.dev10:
  * Imported Translations from Zanata
* Wed Feb 21 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev9:
  * Fixing v1 Dashboard
* Sun Feb 18 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev7:
  * Imported Translations from Zanata
  * Remove commented code + unneeded mox
* Fri Feb 16 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev3:
  * Use 'trimmed' for blocktrans in multi-line strings
* Tue Feb 13 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev2:
  * Imported Translations from Zanata
* Sat Feb 10 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0rc2.dev1:
  * Update reno for stable/queens
  6.0.0.0rc1
* Thu Feb  1 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0b4.dev1:
  * Zuul: Remove project name
  6.0.0.0b3
* Fri Jan 26 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0b3.dev3:
  * Updated from global requirements
* Fri Jan 19 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0b3.dev2:
  * Updated from global requirements
* Tue Jan  9 2018 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0b3.dev1:
  * Imported Translations from Zanata
  6.0.0.0b2
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version designate-dashboard-6.0.0.0b2.dev10:
  * Use jobs from designate repo
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove setting of version/release from releasenotes
  * Updated from global requirements
  * Drop django\_openstack\_auth from requirements.txt
  6.0.0.0b1
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.1.dev18:
  * Imported Translations from Zanata
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.1.dev17:
  * Imported Translations from Zanata
  * Updated from global requirements
  * Fix viewing detail resources
* Sun Sep 17 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.1.dev12:
  * Updated from global requirements
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.1.dev11:
  * Updated from global requirements
* Fri Sep  8 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.1.dev10:
  * AngularJS unittest with Jasmine and Karma
* Sat Sep  2 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.1.dev8:
  * Imported Translations from Zanata
  5.0.0
* Fri Aug 25 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0rc2.dev7:
  * Imported Translations from Zanata
  * Updated from global requirements
* Thu Aug 24 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0rc2.dev4:
  * Updated from global requirements
  * Imported Translations from Zanata
* Wed Aug 23 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0rc2.dev1:
  * Update reno for stable/pike
  5.0.0.0rc1
* Wed Aug  2 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0b4.dev1:
  5.0.0.0b3
  * Updated from global requirements
* Sun Jul  9 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0b2.dev18:
  * Updated from global requirements
  * switch from oslosphinx to openstackdocstheme
* Sat Jul  8 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0b2.dev15:
  * rearrange content using the new standard layout
* Thu Jun 29 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0b2.dev14:
  * Updated from global requirements
  * Stop using deprecated 'message' attribute in Exception
* Wed May 31 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0b2.dev11:
  * Updated from global requirements
  * Imported Translations from Zanata
* Fri May 19 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0b2.dev8:
  * Imported Translations from Zanata
* Tue May  9 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0b2.dev7:
  * use base.html instead of adminui/base.html for not working
* Fri May  5 2017 cloud-devel@suse.de
- Update to version designate-dashboard-5.0.0.0b2.dev5:
  * Imported Translations from Zanata
  * Fixing a potential unbound local error
  5.0.0.0b1
  * Updated from global requirements
  * Switch to oslo\_log
  * Add ADD\_INSTALLED\_APPS to 'enabled' file
  * Add ADD\_INSTALLED\_APPS to 'enabled' file
  * Check for get\_quota policy before calling the API
  * forgot missing \_\_init\_\_.py file
* Sat Mar 11 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0rc2.dev10:
  * Updated from global requirements
* Thu Mar  9 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0rc2.dev9:
  * [Fix gate]Update test requirement
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0rc2.dev8:
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove link to modindex
* Thu Feb  9 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0rc2.dev2:
  * Imported Translations from Zanata
* Fri Feb  3 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0rc2.dev1:
  * Update reno for stable/ocata
  4.0.0.0rc1
* Thu Feb  2 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0b4.dev6:
  * Actually show attribute on zone info page
  * Enable release notes translation
  * H803 hacking have been deprecated
* Tue Jan 31 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0b4.dev2:
  4.0.0.0b3
  * Remove support for py33 and update to py35
  * Switch to oslo_log
* Fri Jan 27 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0b3.dev5:
  * Ensure slash character for URL of dns service Solves a pep8 warning too
  * Updated from global requirements
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version designate-dashboard-4.0.0.0b3.dev2:
  4.0.0.0b2
  * Imported Translations from Zanata
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev17:
  * Imported Translations from Zanata
  * Updated from global requirements
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev14:
  * Added release notes for Designate-dashboard
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev12:
  * Show team and repo badges on README
* Wed Nov 23 2016 dmueller@suse.com
- fix installation order
* Fri Nov 11 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev11:
  * Updated from global requirements
* Sat Oct 29 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev10:
  * Imported Translations from Zanata
* Fri Oct 28 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev9:
  * Updated from global requirements
  * Imported Translations from Zanata
* Sat Oct 15 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev6:
  * Imported Translations from Zanata
* Mon Oct  3 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev5:
  * Updated from global requirements
  * Remove vim header
* Wed Sep 28 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev2:
  * Updated from global requirements
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0rc2.dev1:
  3.0.0.0rc1
  * Add Upper constraints to dashboard
* Sat Sep 17 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0b4.dev8:
  * API v2 Dashboard
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0b4.dev6:
  * Allow SRV/MX records to have priority 0
* Tue Sep 13 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0b4.dev5:
  * Update home-page info in the configuration file
* Sun Sep 11 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0b4.dev3:
  * Remove token logging
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0b4.dev1:
  * Imported Translations from Zanata
  3.0.0.0b3
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0b3.dev7:
  * Updated from global requirements
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0b3.dev6:
  * SSHFP validation: Allow algorithm 4 - ED25519
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version designate-dashboard-3.0.0.0b3.dev4:
  * Follow-up Ibddffc5f: Also allow PTR records pointing to the domain itself
* Wed Aug 10 2016 tbechtold@suse.com
- Fix python-django_compressor Require
* Wed Aug 10 2016 tbechtold@suse.com
- Fix requires for python-horizon-plugin-designate-ui
* Wed Aug 10 2016 tbechtold@suse.com
- Adjust Requires
* Tue Aug  9 2016 hayderimran7@gmail.com
- Initial packaging (version 3.0.0.0b3.dev3)
